Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions.strings
Class Right

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.BinaryFunction
              com.singularsys.jep.functions.strings.Right

All Implemented Interfaces:
  PostfixMathCommandI, java.io.Serializable

    public class Right

extends BinaryFunction

Extract the left most n characters from a string: right("abcdefg",2) -> "fg".

- If n is greater than the length of the string return the full string.

- If n is less than zero an EvaluationException is thrown.
- If the first argument is not a string an EvaluationException is thrown.
- If the second argument is not a number representing an integer an EvaluationException is thrown.

  See Also:
    Serialized Form

  Field Summary

  Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
  `curNumberOfParameters, name, NaN, numberOfParameters`

  Constructor Summary
  `Right()`

  Method Summary
  `java.lang.Object` | `eval(java.lang.Object l, java.lang.Object r)`

  Methods inherited from class com.singularsys.jep.functions.BinaryFunction
  `run`

  Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
  `asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### Right

      public Right()

  Method Detail

  ### eval

      public java.lang.Object eval(java.lang.Object l,
                                   java.lang.Object r)
                            throws EvaluationException

    Specified by:
      `eval` in class `BinaryFunction`
    Throws:
      `EvaluationException`

  Overview | Package | Class | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Copyright © 2008 Singular Systems http://www.singularsys.com/jep